Summary: Red Hat Print Filter System
Name: rhs-printfilters
Version: 1.46
Release: 7
Copyright: GPL
Group: Utilities/System
Source: rhs-printfilters-%{PACKAGE_VERSION}.tar.gz
Patch1: rhs-printfilters-gs4.patch
Patch2: rhs-printfilters-1.46-PARANOIDSAFER.patch
Requires: mpage >= 2.4, lpr >= 0.17, ghostscript >= 3.33, findutils >= 4.1-23
Requires: diffutils, sed, fileutils
Buildroot: /var/tmp/rhs-printfilters-root
#
# these conflcts exists because Dr Mike changes the location of the filters
#
Conflicts: libgr-progs < 2.0.9-7
Summary(de): Red-Hat-Druckfiltersystem 
Summary(fr): Systme de filtres d'impression de Red Hat
Summary(tr): Red Hat yazc szgeleri

%description
The Red Hat print filter system provides an easy way to handle
the printing of numerous file formats. Meant primarily to be
used in conjuction with the Red Hat printtool.

%description -l de
Das Red Hat-Druckfiltersystem verarbeitet auf einfache Weise
das Drucken vieler Dateiformate. Ist vor allem fr die Verwendung
mit dem Druck-Tool von Red Hat gedacht.

%description -l fr
Les filtres d'impression RedHat offrent une manire simple de
grer l'impression de nombreux formats de fichiers. Ceci est 
surtout destin a tre utilis avec l'utilitaire RedHat printool.

%description -l tr
Red Hat tarafndan gelitirilen bu szgeler sayesinde deiik formatlardaki
belgelerin yazcya uygun olarak biimlendirilebilir. Bu szgeler Red Hat'in
printtool yazlm ile kullanlmak zere gelitirilmilerdir.

%prep
%setup -q

# Use the -dSAFER and -dPARANOIDSAFER options to ghostscript
%patch2 -p1 -b .PARANOIDSAFER

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p INSTALL_DIR=$RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters
make INSTALLBIN="install -m0755" INSTALLDATA="install -m0644" \
	INSTALL_DIR=$RPM_BUILD_ROOT install

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
# Requires:
# bash, sed, grep, diff, rm, cat
# Where is the printcap?
PRINTCAP='/etc/printcap'
# Where is the master filter?
MASTER_FILTER='/usr/lib/rhs/rhs-printfilters/master-filter'
# Make sure that we actually have these files
if [ -f $PRINTCAP ] && [ -f $MASTER_FILTER ]
then
# Open printcap
cat $PRINTCAP | (
	# Read each line (forcing it to ignore the '\' convention).
	while read -r line;
	do
		# if a line looks like ':if=filename:', but aint commented,
		if echo ${line} | grep -q -E -e '^[^#]{0}[[:space:]]*:if='
		then
			# strip it down to the file name,
			# (We can be a little messy, 'cause printcap uses
			# ':' as a control character, to it can't be in
			# the file name)
			FILTER=`echo ${line} | sed -e 's/^:if=//; s/:.*//'`
			# and if the filter it names is the same as the
			# master-filter, or does not exist, then
			case $FILTER in
			"/var/spool/lpd/"*"/filter" )
				# All filters we want to find match this pattern
				if [ ! -a $FILTER ] || diff -q $MASTER_FILTER $FILTER > /dev/null
				then
					# remove the named filter
					rm -f $FILTER

					# Adjust the printcap file to use the
					# master filter directly
					sed -e "s:$FILTER:$MASTER_FILTER:g" < $PRINTCAP > $PRINTCAP.tmp
					mv $PRINTCAP.tmp $PRINTCAP
				fi
				;;

			* )
				;;

			esac
		fi
	done
)
fi


%files
%defattr(-,root,root)
%doc README CHANGES
%dir /usr/lib/rhs/rhs-printfilters
/usr/lib/rhs/rhs-printfilters/asc-to-printer.fpi
/usr/lib/rhs/rhs-printfilters/asc-to-ps.fpi
/usr/lib/rhs/rhs-printfilters/general.cfg.in
/usr/lib/rhs/rhs-printfilters/master-filter
/usr/lib/rhs/rhs-printfilters/postscript.cfg.in
/usr/lib/rhs/rhs-printfilters/printerdb
/usr/lib/rhs/rhs-printfilters/ps-to-printer.fpi
/usr/lib/rhs/rhs-printfilters/rewindstdin
/usr/lib/rhs/rhs-printfilters/rpm-to-asc.fpi
/usr/lib/rhs/rhs-printfilters/ncpprint
/usr/lib/rhs/rhs-printfilters/smbprint
/usr/lib/rhs/rhs-printfilters/testpage.asc
/usr/lib/rhs/rhs-printfilters/testpage.ps
/usr/lib/rhs/rhs-printfilters/testpage-a4.ps
/usr/lib/rhs/rhs-printfilters/textonly.cfg.in

%changelog
* Tue Oct 30 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.46-7
- fixed the fixed in the pre script

* Mon Oct 29 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.46-6
- fixed the %pre script, which used sed -e '...' instead of sed -e "..."

* Tue Sep 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.46-5
- use the -dSAFER and -dPARANOIDSAFER flag for ghostscript;
- edit printcaps to use the real master-filter, not a symlink.

* Mon Dec 28 1998 Bill Nottingham <notting@redhat.com>
- cdj-based drivers don't like 1bpp in gs4. Removed from list.

* Wed Sep 30 1998 Bill Nottingham <notting@redhat.com>
- fix typo in ncpprint

* Wed Sep 15 1998 Bill Nottingham <notting@redhat.com>
- Added ncpprint to %files section (oops!)

* Thu Sep  2 1998 Bill Nottingham <notting@redhat.com>
- Added NCP printing support

* Tue Jun 30 1998 Michael Maher <mike@redhat.com>
- Fixed BUG 703,  added findutils dependecy.
- Added buildroot.

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- Fixed printerdb to include 300x300 resolution for LaserJet 4 models
- Restored troff file handling now troff fpi is 'safe'

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed master-filter to NOT handle troff files automatically

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Wed Apr 23 1997 Michael Fulbright <msf@redhat.com>
- Fixed problem with asc-to-printer.fpi not handling cr/lf trans correct

* Fri Apr 18 1997 Michael Fulbright <msf@redhat.com>
- fixed up Canon 600/4000 printerdb def
- added some HP Deskjets which I know work

* Thu Apr 10 1997 Michael Fulbright <msf@redhat.com>
- Added requirement that gs is installed. Pretty useless w/o it if
  you print anything interesting.

* Fri Mar 13 1997 Michael Fulbright <msf@redhat.com>
- Added conflicts so that packages with old filter loc won't hurt us.
- Moved to version 1.2.
- Added mpage support to allow nup printing.

* Wed Mar 13 1997 Michael Fulbright <msf@redhat.com>
- Added a DeskJet500Mono driver which links to the gs driver djet500.
- Added a A4 paper size test page.
- Fixed Makefile to build .ps test pages from the .fig files.

* Mon Mar 10 1997 Michael Fulbright <msf@redhat.com>
- Split filters off from printtool into this package .
